/*
        include file gettck.h

        this file is used to define the constants
        that govern the compilation of subroutine gettck
	which is used to get the local time whenever
	a pulse is received via the CTS line of
	a serial port.

	If the constant SUN is defined, then the port
	is specified as a character string of the 
	form /dev/ ...

	if the constant IBMPC is defined, then the port
	is specified as COM1, COM2, etc.


	This software was developed with US Government support
	and it may not be sold, restricted or licensed.  You 
	may duplicate this program provided that this notice
	remains in all of the copies, and you may give it to
	others provided they understand and agree to this
	condition.

	This program and the time protocol it uses are under 
	development and the implementation may change without 
	notice.

	For questions or additional information, contact:

	Judah Levine
	Time and Frequency Division
	NIST/847
	325 Broadway
	Boulder, Colorado 80303
	(303) 492 7785
	judah@india.colorado.edu
*/
#define SUN   1
#ifdef IBMPC
#define lcreg  3        /* line control register */
#define modreg 4        /* modem control register */
#define lsreg  5        /* line status register   */
#define msreg  6        /* modem status register  */
int cmport;		/* comport to use, 1= COM1, etc. */
int cmadr;		/* hardware address of this comport*/
#endif
/*
	if this is the UNIX version then parameter tickus
	gives the time interval between ticks in microseconds.
	typical values are 20 ms for a SUN, 10 ms for a VAX 
	and 3906 usec for a DEC ULTRIX/RISC machine like the 5000
	series.  this value is used in the interpolation routine.
	If this parameter is specified as 0 then the interpolation 
	between ticks is disabled and the comparison will use the 
	integer tick value as read from the system clock.
	this constant is not needed in the MS-DOS environment
	since all of those machines use a constant value of
	18.2 ticks/second or about 55 milliseconds between ticks.
*/
#ifdef SUN
#include "sizint.h"
LONG tickus = 3906;			/*value for DEC 5000/240 */
char *dv     = "/dev/tty01";		/*serial port to use */
#endif
